Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_IOP::TAO_IOR_Manipulation_out Class Reference

`#include <IORC.h>`

Collaboration diagram for TAO_IOP::TAO_IOR_Manipulation_out:

[legend]
List of all members.

## Public Methods
| TAO_IOR_Manipulation_out (TAO_IOR_Manipulation_ptr &)
| TAO_IOR_Manipulation_out (TAO_IOR_Manipulation_var &)
| TAO_IOR_Manipulation_out (const TAO_IOR_Manipulation_out &)
TAO_IOR_Manipulation_out & | operator= (const TAO_IOR_Manipulation_out &)
TAO_IOR_Manipulation_out & | operator= (const TAO_IOR_Manipulation_var &)
TAO_IOR_Manipulation_out & | operator= (TAO_IOR_Manipulation_ptr)
| operator TAO_IOR_Manipulation_ptr & ()
TAO_IOR_Manipulation_ptr & | ptr (void)
TAO_IOR_Manipulation_ptr | operator-> (void)
## Private Attributes
TAO_IOR_Manipulation_ptr & | ptr_

## Constructor & Destructor Documentation

TAO_IOP::TAO_IOR_Manipulation_out::TAO_IOR_Manipulation_out | ( | TAO_IOR_Manipulation_ptr & |  | ) |

TAO_IOP::TAO_IOR_Manipulation_out::TAO_IOR_Manipulation_out | ( | TAO_IOR_Manipulation_var & |  | ) |

TAO_IOP::TAO_IOR_Manipulation_out::TAO_IOR_Manipulation_out | ( | const TAO_IOR_Manipulation_out & |  | ) |

## Member Function Documentation

TAO_IOP::TAO_IOR_Manipulation_out::operator TAO_IOR_Manipulation_ptr & | ( |  | ) |

TAO_IOR_Manipulation_ptr TAO_IOP::TAO_IOR_Manipulation_out::operator-> | ( | void |  | ) |

TAO_IOR_Manipulation_out& TAO_IOP::TAO_IOR_Manipulation_out::operator= | ( | TAO_IOR_Manipulation_ptr |  | ) |

TAO_IOR_Manipulation_out& TAO_IOP::TAO_IOR_Manipulation_out::operator= | ( | const TAO_IOR_Manipulation_var & |  | ) |

TAO_IOR_Manipulation_out& TAO_IOP::TAO_IOR_Manipulation_out::operator= | ( | const TAO_IOR_Manipulation_out & |  | ) |

TAO_IOR_Manipulation_ptr& TAO_IOP::TAO_IOR_Manipulation_out::ptr | ( | void |  | ) |

## Member Data Documentation

TAO_IOR_Manipulation_ptr& TAO_IOP::TAO_IOR_Manipulation_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- IORC.h